/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomEntityReference_H___INT_
#define __GdomEntityReference_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomNode.h"
#include "GDOMObject.h"
#include "EntityReference.h"
G_BEGIN_DECLS
class GDOMEntityReference : public GDOMNode {
    typedef GDOMNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_ENTITY_REFERENCE; }
    GDOMEntityReference(PassRefPtr<WebCore::EntityReference> impl);
};
G_END_DECLS

#endif /* __GdomEntityReference_H___INT_*/
